Retro Rocket Kernel BASIC-Powered Operating System

Data Fields
tcp_conn_t Struct Reference

`#include <tcp.h>`

Collaboration diagram for tcp_conn_t:
[legend]

## Data Fields
tcp_state_t | state
uint32_t | local_addr
uint32_t | remote_addr
uint16_t | local_port
uint16_t | remote_port
uint32_t | snd_una
uint32_t | snd_nxt
uint32_t | snd_wnd
uint32_t | snd_up
uint32_t | snd_wl1
uint32_t | snd_wl2
uint32_t | iss
uint32_t | snd_lst
uint32_t | rcv_lst
uint32_t | rcv_nxt
uint32_t | rcv_wnd
uint32_t | rcv_up
uint32_t | irs
int | fd
int | recv_eof_pos
int | send_eof_pos
uint8_t * | recv_buffer
size_t | recv_buffer_len
uint8_t * | send_buffer
size_t | send_buffer_len
spinlock | recv_buffer_spinlock
spinlock | send_buffer_spinlock
uint32_t | msl_time
tcp_ordered_list_t * | segment_list

## Field Documentation

## ◆ fd

int tcp_conn_t::fd

## ◆ irs

uint32_t tcp_conn_t::irs

## ◆ iss

uint32_t tcp_conn_t::iss

## ◆ local_addr

uint32_t tcp_conn_t::local_addr

## ◆ local_port

uint16_t tcp_conn_t::local_port

## ◆ msl_time

uint32_t tcp_conn_t::msl_time

## ◆ rcv_lst

uint32_t tcp_conn_t::rcv_lst

## ◆ rcv_nxt

uint32_t tcp_conn_t::rcv_nxt

## ◆ rcv_up

uint32_t tcp_conn_t::rcv_up

## ◆ rcv_wnd

uint32_t tcp_conn_t::rcv_wnd

## ◆ recv_buffer

uint8_t* tcp_conn_t::recv_buffer

## ◆ recv_buffer_len

size_t tcp_conn_t::recv_buffer_len

## ◆ recv_buffer_spinlock

spinlock tcp_conn_t::recv_buffer_spinlock

## ◆ recv_eof_pos

int tcp_conn_t::recv_eof_pos

## ◆ remote_addr

uint32_t tcp_conn_t::remote_addr

## ◆ remote_port

uint16_t tcp_conn_t::remote_port

## ◆ segment_list

tcp_ordered_list_t* tcp_conn_t::segment_list

## ◆ send_buffer

uint8_t* tcp_conn_t::send_buffer

## ◆ send_buffer_len

size_t tcp_conn_t::send_buffer_len

## ◆ send_buffer_spinlock

spinlock tcp_conn_t::send_buffer_spinlock

## ◆ send_eof_pos

int tcp_conn_t::send_eof_pos

## ◆ snd_lst

uint32_t tcp_conn_t::snd_lst

## ◆ snd_nxt

uint32_t tcp_conn_t::snd_nxt

## ◆ snd_una

uint32_t tcp_conn_t::snd_una

## ◆ snd_up

uint32_t tcp_conn_t::snd_up

## ◆ snd_wl1

uint32_t tcp_conn_t::snd_wl1

## ◆ snd_wl2

uint32_t tcp_conn_t::snd_wl2

## ◆ snd_wnd

uint32_t tcp_conn_t::snd_wnd

## ◆ state

tcp_state_t tcp_conn_t::state